Subject: bug#61325: 30.0.50; Jokes in GNUS manual

From: Po Lu <[email-masked]>
Date: Wed, 22 Feb 2023 14:02:31 +0800

Richard Stallman <[email-masked]> writes:

> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
>
>   > > That seems like a useful feature.  But the GNUS manual has to explain it.
>
>   > And, it does...
>
>   > 8.13 Kill Files
>   > ===============
>
>   > Gnus still supports those pesky old kill files.  In fact, the kill file
>   > entries can now be expiring, which is something I wrote before Daniel
>   > Quinlan thought of doing score files, so I’ve left the code in there.
>
> That section gives full documentation of the kill file feature,
> but the text with the joke doesn't say anything about it.
> So that section still has the problem I complained about,
> of using a term that has not been explained.
>
> That section ought to have a sentence saying what kill files do,
> with an xref to the Kill Files node.
>
> Can someone please write that small fix?
>
>   > 8.4 Score File Format
>   > =====================
>
>   > A score file is an ‘emacs-lisp’ file that normally contains just a
>   > single form.  Casual users are not expected to edit these files;
>   > everything can be changed from the summary buffer.
>
> The most important documentation for score files
> is how to use the score feature.  Does the GNUS manual
> have that?
>
> If it already has good documentation of using that feature, there is
> no need to write it over again.  But the section with the joke needs
> to have a sentence or two saying what scores and score files do,
> plus a cross reference to the explanation of how to use them.
>
> Can someone please write that small fix?

Here.  The node with the joke is where score files are explained, and
there is documentation on how they are used.

diff --git a/doc/misc/gnus.texi b/doc/misc/gnus.texi
index 486171a080a..677a552d135 100644
--- a/doc/misc/gnus.texi
+++ b/doc/misc/gnus.texi
@@ -19808,10 +19808,10 @@ Scoring
 @chapter Scoring
 @cindex scoring
 
-Other people use @dfn{kill files}, but we here at Gnus Towers like
-scoring better than killing, so we'd rather switch than fight.  They do
-something completely different as well, so sit up straight and pay
-attention!
+Other people use kill files (@pxref{Kill Files}), but we here at Gnus
+Towers like scoring better than killing, so we'd rather switch than
+fight.  They do something completely different as well, so sit up
+straight and pay attention!
 
 @vindex gnus-summary-mark-below
 All articles have a default score (@code{gnus-summary-default-score}),